/*
 * Universidade Federal de Pernambuco - UFPE
 * Centro de Informtica - CIn
 * Centro Integrado de Tecnologia da Informao - CITi
 * Curso de C/C++ Avanado
 * Autor: Allan Lima - http://allanlima.wordpress.com/
 * Instrutor: Luiz Felipe Sotero (lfss@cin.ufpe.br)
 *
 * exemploStatic.c - Mostra utilizar a palavra reservada static.
 */

#include<stdio.h>

// Evita que outros mdulos possam modificar e ver esta varivel
static int numero = 0;

int f() {
	// Declara a como uma varivel statica
	// assim o valor de a no final de uma chamada da funco
	// ser o valor inicial de a na prxima chamada
	static int a = 0;

	a = a + 2;
	return a;
}

/*
int main() {
	printf("Chamada numero 1: %d\n", f());
    printf("Chamada numero 2: %d\n", f());
    printf("Chamada numero 3: %d\n", f());
    printf("Chamada numero 4: %d\n", f());
    return 0;
}
*/
